## edu.cwru.SimpleRTS.model
Class AStarNode

    java.lang.Object
      edu.cwru.SimpleRTS.model.AStarNode

All Implemented Interfaces:
  java.lang.Comparable<AStarNode>

    public class AStarNode

extends java.lang.Object
implements java.lang.Comparable<AStarNode>

Note: compareTo and equals are not equivalently implemented equals checks xs and ys, but no other fields

Constructor Summary
`AStarNode(int x, int y, int distfromgoal)` Create a new root node
`AStarNode(int x, int y, int g, int value, AStarNode previous, Direction directionfromprevious)`

Method Summary
`int` `compareTo(AStarNode other)`
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AStarNode

    public AStarNode(int x,
                     int y,
                     int g,
                     int value,
                     AStarNode previous,
                     Direction directionfromprevious)

### AStarNode

    public AStarNode(int x,
                     int y,
                     int distfromgoal)

  Create a new root node

  Parameters:
    `distfromgoal` -

Method Detail

### compareTo

    public int compareTo(AStarNode other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<AStarNode>`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`